%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:           rapid-photo-downloader
Version:        0.4.5
Release:        1%{?dist}
Summary:        Images downloader for external devices

Group:          Applications/Archiving
License:        GPLv2+
URL:            http://damonlynch.net/rapid/
Source0:        http://launchpad.net/rapid/trunk/%{version}/+download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

BuildRequires:  gettext
BuildRequires:  desktop-file-utils

Requires:       hicolor-icon-theme
Requires:       pyexiv2
Requires:       gtk2
Requires:       pygtk2
Requires:       gnome-python2-gconf
Requires:       gnome-python2
Requires:       notify-python
Requires:       python-kaa-metadata
Requires:       python-imaging
Requires:       perl-Image-ExifTool
Requires:       fbida


%description
Rapid Photo Downloader is written by a photographer for professional
and amateur photographers. It can download photos from multiple memory
cards and Portable Storage Devices simultaneously. It provides a variety
of options for sub-folder creation, image renaming and backup.
It does not download images directly from a camera unless the camera
is recognized as an external drive.


%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}
desktop-file-install                                        \
    --dir=%{buildroot}%{_datadir}/applications              \
    %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc rapid/AUTHORS rapid/ChangeLog rapid/COPYING README
%{_bindir}/%{name}
%{python_sitelib}/rapid/
%{python_sitelib}/*.egg-info
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Mon Jun 25 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.4.5-1
- Updated to new upstream version 0.4.5

* Wed Feb 08 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.4.3-1
- Updated to new upstream version 0.4.3

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Nov 13 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.4.2-1
- Updated to new upstream version 0.4.2

* Sat Jun 04 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.4.1-1
- Updated to new upstream version 0.4.1

* Sat Apr 30 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.4.0-1
- Updated to new upstream version 0.4.0

* Sat Apr 09 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.5-1
- Updated to new upstream version 0.3.5

* Mon Mar 28 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.4-1
- Updated to new upstream version 0.3.4

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 07 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.3-1
- Updated to new upstream version 0.3.3

* Sun Sep 19 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.2-1
- Updated to new upstream version 0.3.2

* Wed Aug 18 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-1
- Updated to new upstream version 0.3.1

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 11 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.0-1
- TODO removed
- Added new requirements
- Updated to new upstream version 0.3.0

* Sat Feb 27 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.3-1
- Updated to new upstream version 0.1.3

* Fri Dec 18 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.0-1
- Updated to new upstream version 0.1.0

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 14 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.10-1
- Added translations
- Changed source url
- Updated to new upstream version

* Sat Apr 25 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.8-3.b7
- Added update of the icon cache
- Fixed license

* Sat Apr 25 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.8-2.b7
- Added notify-python as a requirement

* Sun Apr 12 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.8-1.b7
- Updated to new upstream version b7

* Wed Apr 8 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.8-1.b6
- Initial package for Fedora
